﻿.works-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 111px;
    min-height: calc(100vh - 111px);
    box-sizing: border-box;
    padding: 110px 0;
}
.works-all-box{
    width: 1300px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.works-title-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-bottom: 100px;
    text-align: center;
}
.works-title-box h2>p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 46px;
    color: #000;
    letter-spacing: 0.2em;
    line-height: 32px;
    box-sizing: border-box;
    padding-left: 0.2em;
}
.works-title-box h2>span{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    margin-top: 30px;
    display: block;
}


.works-info-box{
    width: 100%;
    display: block;
}
.works-info{
    width: 380px;
    display: inline-block;
    vertical-align: top;
    margin-right: calc((100% - (380px * 3)) / 2);
    position: relative;
}
.works-info:nth-child(3n){
    margin-right: 0;
}
.works-info:nth-child(n + 4){
    margin-top: 60px;
}
.works-info-img{
    width: 100%;
    padding-bottom: 100%;
    position: relative;
}
.works-info-img span{
    position: absolute;
    top: 0;
    left: 0;
}
.works-info-text-box{
    width: 100%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(54, 103, 148, 0.8);
    box-sizing: border-box;
    padding: 20px;
    opacity: 0;
    transition: all .3s linear;
}
.works-info-text{
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #fff;
    letter-spacing: 0.2em;
    line-height: 40px;
}
.works-info-border{
    width: 100%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;
    transform: scale(1.05);
    transition: all .3s linear;
}
.works-info-border span{
    position: absolute;
    width: 20px;
    height: 20px;
    box-sizing: border-box;
    transition: all .3s linear;
}
.works-info-border-tl{
    top: 10px;
    left: 10px;
    border-left: 1px solid #fff;
    border-top: 1px solid #fff;
}
.works-info-border-tr{
    top: 10px;
    right: 10px;
    border-right: 1px solid #fff;
    border-top: 1px solid #fff;
}
.works-info-border-bl{
    bottom: 10px;
    left: 10px;
    border-left: 1px solid #fff;
    border-bottom: 1px solid #fff;
}
.works-info-border-br{
    bottom: 10px;
    right: 10px;
    border-right: 1px solid #fff;
    border-bottom: 1px solid #fff;
}


.works-info:hover .works-info-text-box{
    opacity: 1;
}
.works-info:hover .works-info-border{
    transform: scale(1);
}


/* works-page */
.works-page-info-box{
    width: 100%;
    display: block;
}
.works-page-img-box{
    width: 46%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
}
.works-page-img{
    width: 100%;
    height: 594px;
    position: relative;
}
.works-page-img span{
    position: absolute;
    top: 0;
    left: 0;
}
.works-page-text-box{
    width: 54%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-top: 30px;
    padding-left: 70px;
}
.works-page-name{
    font-size: 24px;
    font-family: 'Noto Sans TC';
    color: #366694;
    letter-spacing: 0.06em;
    line-height: 60px;
    margin-bottom: 20px;
}
.works-page-text{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    padding-left: 15px;
    margin-bottom: 20px;
}
.works-page-text p{
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 400;
    color: #333;
    letter-spacing: 0.06em;
    line-height: 2;
    display: inline-block;
    vertical-align: middle;
}
.works-page-text span{
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 2;
    display: inline-block;
    vertical-align: middle;
}
.works-page-text::before{
    content: '';
    width: 3px;
    height: 18px;
    position: absolute;
    left: 0;
    top: 7px;
    background-color: #366694;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
}

.works-page-other-title{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-top: 130px;
    padding-bottom: 60px;
}
.works-page-other-title p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 36px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 32px;
    display: inline-block;
    vertical-align: bottom;
}
.works-page-other-title span{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 10px;
}



@media only screen and (max-width: 1300px){
    .works-all-box{
        width: 1200px;
    }
    .works-page-img{
        height: 550px;
    }
}
@media only screen and (max-width: 1200px){
    .works-all-box{
        width: 1000px;
    }
    .works-info{
        width: 300px;
        margin-right: calc((100% - (300px * 3)) / 2);
    }
    .works-page-img{
        height: 458px;
    }
}
@media only screen and (max-width: 1000px){
    .works-box{
        margin-top: 79px;
        min-height: calc(100vh - 79px);
        padding: 80px 0;
    }
    .works-title-box{
        padding-bottom: 80px;
    }
    .works-all-box{
        width: 750px;
    }
    .works-info{
        width: 240px;
        margin-right: calc((100% - (240px * 3)) / 2);
    }
    .works-title-box h2>p{
        font-size: 36px;
    }




    .works-page-img{
        height: 343px;
    }
    .works-page-text-box{
        padding-left: 40px;
        padding-top: 20px;
    }
}
@media only screen and (max-width: 768px){
    .works-box{
        padding: 40px 0;
    }
    .works-title-box{
        padding-bottom: 40px;
    }
    .works-title-box h2>p{
        font-size: 28px;
        line-height: 26px;
        letter-spacing: 0.2em;
        padding-left: 0.2em;
    }
    .works-title-box h2>span{
        font-size: 16px;
        margin-top: 10px;
    }
    .works-all-box{
        width: 550px;
    }
    .works-info:nth-child(n){
        width: 260px;
        margin-right: calc(100% - (260px * 2));
        margin-top: 0;
    }
    .works-info:nth-child(2n){
        margin-right: 0;
    }
    .works-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .works-info-text-box{
        opacity: 1;
        width: 105px;
        height: 105px;
        top: initial;
        bottom: 0;
        left: initial;
        right: 0;
        padding: 10px;
    }
    .works-info-text{
        letter-spacing: 0.06em;
        line-height: 1.4;
    }
    .works-info-border{
        display: none;
    }


    .works-page-img-box{
        width: 100%;
    }
    .works-page-img{
        height: 548px;
    }
    .works-page-text-box{
        width: 100%;
        padding-left: 0;
        padding-top: 20px;
    }
    .works-page-other-title{
        padding-top: 60px;
        padding-bottom: 30px;
    }
    .works-page-other-box .works-info:nth-child(n){
        width: 100%;
        margin-right: 0;
        margin-top: 20px;
    }
    .works-page-other-box .works-info:first-child{
        margin-top: 0;
    }
}
@media only screen and (max-width: 550px){
    .works-box{
        padding: 20px 0;
        margin-top: 67px;
        min-height: calc(100vh - 67px);
    }
    .works-title-box{
        padding-bottom: 20px;
    }
    .works-title-box h2>p{
        font-size: 18px;
        line-height: 22px;
    }
    .works-title-box h2>span{
        font-size: 14px;
        margin-top: 5px;
    }
    .works-all-box{
        width: 400px;
    }
    .works-info:nth-child(n){
        width: 190px;
        margin-right: calc(100% - (190px * 2));
        margin-top: 0;
    }
    .works-info:nth-child(2n){
        margin-right: 0;
    }
    .works-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .works-info-text{
        font-size: 14px;
    }
    .works-info-text-box{
        padding: 5px;
        width: 80px;
        height: 80px;
    }
    .page{
        margin-top: 40px;
    }
    .page .prev, .page .next{
        font-size: 16px;
    }
    .page a{
        font-size: 16px;
        margin: 0 10px;
    }

    .works-page-img{
        height: 398px;
    }
    .works-page-name{
        font-size: 16px;
        line-height: 20px;
        margin-bottom: 10px;    
    }
    .works-page-text-box{
        padding-top: 10px;
    }
    .works-page-text{
        margin-bottom: 0;
        padding-left: 10px;
    }
    .works-page-text p,
    .works-page-text span{
        font-size: 14px;
    }
    .works-page-text::before{
        height: 16px;
        top: 6px;
    }
    .works-page-other-title {
        padding-top: 20px;
        padding-bottom: 5px;
    }
    .works-page-other-title p{
        font-size: 18px;
    }
    .works-page-other-title span{
        font-size: 14px;
        line-height: 30px;
    }
}
@media only screen and (max-width: 400px){
    .works-info:nth-child(n){
        width: 100%;
        margin-right: 0;
        margin-top: 20px;
    }
    .works-all-box{
        width: 300px;
    }
    .works-page-img{
        height: 298px;
    }
}








/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .works-title-box h2>p{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .works-title-box h2>span{
        animation: fade 1s ease .2s 1 both;
    }
    .works-info,
    .page{
        opacity: 0;
    }
    .works-info.anima,
    .page.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }

    .works-page-img-box{
        animation: fade 1s ease 0s 1 both;
    }
    .works-page-text-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .works-page-other-title p,
    .works-page-other-title span{
        opacity: 0;
    }
    .works-page-other-title.anima p{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .works-page-other-title.anima span{
        animation: fadeInRight 1s ease .2s 1 both;
    }
}
